Bug 1288844 - [abrt] xfce4-sensors-plugin: g_malloc0(): xfce4-sensors-plugin killed by SIGSEGV
[abrt] xfce4-sensors-plugin: g_malloc0(): xfce4-sensors-plugin killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-sensors-plugin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:314bc341ca4ea8d236eb3cf15f0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 08:48 EST by vikiwiki
Modified: 2016-11-26 17:52 EST (History)
2 users (show)

See Also:
Fixed In Version: xfce4-sensors-plugin-1.2.6-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-26 17:52:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.75 KB, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: core_backtrace (3.90 KB, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: dso_list (9.81 KB, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: environ (1.32 KB, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: maps (46.65 KB, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: mountinfo (3.13 KB, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: open_fds (706 bytes, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-12-06 08:48 EST, vikiwiki
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-12-06 08:48 EST, vikiwiki
no flags Details

  None (edit)
Description vikiwiki 2015-12-06 08:48:01 EST
Version-Release number of selected component:
xfce4-sensors-plugin-1.2.5-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin '' 26 18978751 xfce4-sensors-plugin '\xd0\x9c\xd0\xbe\xd0\xb4\xd1\x83\xd0\xbb\xd1\x8c \xd1\x81\xd0\xb5\xd0\xbd\xd1\x81\xd0\xbe\xd1\x80\xd0\xbe\xd0\xb2' '\xd0\x9e\xd1\x82\xd0\xbe\xd0\xb1\xd1\x80\xd0\xb0\xd0\xb6\xd0\xb0\xd1\x82\xd1\x8c \xd0\xb7\xd0\xbd\xd0\xb0\xd1\x87\xd0\xb5\xd0\xbd\xd0\xb8\xd1\x8f \xd1\x81\xd0\xb5\xd0\xbd\xd1\x81\xd0\xbe\xd1\x80\xd0\xbe\xd0\xb2.' ''
crash_function: g_malloc0
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin
global_pid:     2611
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #3 g_malloc0 at gmem.c:124
 #4 g_malloc0_n at gmem.c:354
 #5 g_hash_table_resize at ghash.c:585
 #6 g_hash_table_maybe_resize at ghash.c:645
 #7 g_hash_table_remove_internal at ghash.c:1358
 #8 g_signal_handler_disconnect at gsignal.c:2627
 #9 signal_handlers_foreach_matched_R at gsignal.c:2787
 #10 g_signal_handlers_disconnect_matched at gsignal.c:2930
 #11 gtk_window_finalize at gtkwindow.c:4475
Comment 1 vikiwiki 2015-12-06 08:48:06 EST
Created attachment 1102770 [details]
File: backtrace
Comment 2 vikiwiki 2015-12-06 08:48:08 EST
Created attachment 1102771 [details]
File: cgroup
Comment 3 vikiwiki 2015-12-06 08:48:10 EST
Created attachment 1102772 [details]
File: core_backtrace
Comment 4 vikiwiki 2015-12-06 08:48:11 EST
Created attachment 1102773 [details]
File: dso_list
Comment 5 vikiwiki 2015-12-06 08:48:13 EST
Created attachment 1102774 [details]
File: environ
Comment 6 vikiwiki 2015-12-06 08:48:15 EST
Created attachment 1102775 [details]
File: limits
Comment 7 vikiwiki 2015-12-06 08:48:17 EST
Created attachment 1102776 [details]
File: maps
Comment 8 vikiwiki 2015-12-06 08:48:19 EST
Created attachment 1102777 [details]
File: mountinfo
Comment 9 vikiwiki 2015-12-06 08:48:20 EST
Created attachment 1102778 [details]
File: namespaces
Comment 10 vikiwiki 2015-12-06 08:48:22 EST
Created attachment 1102779 [details]
File: open_fds
Comment 11 vikiwiki 2015-12-06 08:48:24 EST
Created attachment 1102780 [details]
File: proc_pid_status
Comment 12 vikiwiki 2015-12-06 08:48:25 EST
Created attachment 1102781 [details]
File: exploitable
Comment 13 Fedora Update System 2016-11-12 18:35:28 EST
xfce4-sensors-plugin-1.2.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-178d836803
Comment 14 Fedora Update System 2016-11-13 13:21:00 EST
xfce4-sensors-plugin-1.2.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-178d836803
Comment 15 Fedora End Of Life 2016-11-24 09:00:42 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora Update System 2016-11-26 17:52:39 EST
xfce4-sensors-plugin-1.2.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.